| Home | Libraries | People | FAQ | More

## Struct hash<std::string>

boost::hash<std::string>

## Synopsis

    struct hash<std::string> {
      std::size_t operator()(std::string const&) const;
    };

## Description

    std::size_t operator()(std::string const& val) const;

Returns: | Unspecified in TR1, except that equal arguments yield the same result. hash_value(val) in Boost.
Throws: | Doesn't throw